import { INetRequest } from "../../script/Engine/CatanEngine/NetManagerV2/Core/INetRequest";
import { INetResponse } from "../../script/Engine/CatanEngine/NetManagerV2/Core/INetResponse";
import { RpcAccountLoginRequest, RpcAccountLoginResponse } from "../../shared/protocols/AccountRequest";
import { ClientData } from "../../shared/protocols/define/interface";

export default function* (clientData: ClientData, req: INetRequest<RpcAccountLoginRequest>): IterableIterator<any> {
	const data: RpcAccountLoginRequest = req.Data

	clientData.name = `test_${clientData.id}`;
	clientData.money = 1000000000;
	const response: INetResponse<RpcAccountLoginResponse> = {
		Status: 0,
		Method: req.Method,
		Data: { pr: 2, cu: "TWC", id: clientData.id, name: clientData.name, m: clientData.money },
		IsValid: true
	};
	return response;
}